/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Ergänze eine Methode <code>berechne</code>, die den Summenwert berechnet und zurückgibt. Achte darauf, die innere Sequenz so einfach wie möglich und ohne unnötige Variable zu programmieren.</p>",
	"code": "class SUMME {\n    int summand1;\n    int summand2;\n}",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "SUMME",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "summand1",
					"type": "int",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "summand2",
					"type": "int",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "method",
					"name": "berechne",
					"type": [
						"int",
						"long"
					],
					"dimensions": 0,
					"final": false,
					"static": false,
					"params": [],
					"content": [
						" return this.summand1 + this.summand2;",
						" return this.summand1 + summand2;",
						" return summand1 + this.summand2;",
						" return summand1 + summand2;",
						" return this.summand2 + this.summand1;",
						" return this.summand2 + summand1;",
						" return summand2 + this.summand1;",
						" return summand2 + summand1;",
						" return (this.summand1 + this.summand2);",
						" return (this.summand1 + summand2);",
						" return (summand1 + this.summand2);",
						" return (summand1 + summand2);",
						" return (this.summand2 + this.summand1);",
						" return (this.summand2 + summand1);",
						" return (summand2 + this.summand1);",
						" return (summand2 + summand1);"
					]
				}
			]
		}
	]
}
